[AstroPy] Plan to port astropy to python3?

Mark Sienkiewicz sienkiew at stsci.edu
Tue Jun 7 14:00:58 EDT 2011


Thomas Robitaille wrote:
>  In the end, one could argue that it's up to us to support Python 3 soon, because there won't be a large astronomy user base in Python 3 until we do (otherwise it's a vicious circle). The fact that numpy/scipy/matplotlib have moved means we should probably start thinking about it too.
>   


Can you tell me where to find a matplotlib release that works with 
python 3?  According to their web site, it only works in python 2:

http://matplotlib.sourceforge.net/users/installing.html#build-requirements

Mark S.




More information about the AstroPy mailing list